-- REGIST 车险报案

业务对象命名：
REGIST
REGIST_ACTUALDATA
REGIST_ACTUALDATA_PRPLCREGIST
REGIST_ACTUALDATA_PRPLCREGIST_PRPLREPORTER
REGIST_ACTUALDATA_PRPLCREGIST_PRPLLINKER
REGIST_ACTUALDATA_PRPLPOLICY
REGIST_ACTUALDATA_PRPLCARLOSSDETAIL
REGIST_ACTUALDATA_PRPLCARLOSSDETAIL_PRPLCAR
REGIST_ACTUALDATA_PRPLCDAMAGE
REGIST_ACTUALDATA_PRPLCDAMAGE_PRPLDAMAGEADDRESS

{
    actualData row(
        accidentNo          String , -- 事故号
        damageStartDate     String , -- 出险时间 无需转码 2021-06-27 19:25:00
        reportDate          String , -- 报案时间 无需转码 2021-06-27 19:37:18
        damageAddress       String , -- 出险地点
        prplcregist array<row(
            policyNo        String , -- 保单号
            registNo        String , -- 报案号
            deptCode        String , -- 理赔机构代码
            deptName        String , -- 理赔机构名称
            prplreporter row(
                reporterName            String , -- 报案人名称
                reporterMobileNo        String   -- 报案人电话
            ) ,
            prpllinker row(
                linkerName          String , -- 联系人名称
                linkerPhoneNo       String   -- 联系人电话
            )
        )> ,
        prplpolicy   String , -- 该字段可能是对象或数组
--         prplpolicy array<row(
--             comCode         String , -- 承保机构代码
--             comName         String , -- 承保机构名称
--             riskCode        String , -- 险种代码
--             riskName        String , -- 险种名称
--             licenseNo       String   -- 车牌号
--         )> ,
        prplcarlossdetail array<row(
            prplcar row(
                brandCode           String , -- 品牌
                carModelCode        String   -- 车型
            )
        )> ,
        prplcdamage row(
            prpldamageaddress row(
                longitude     String , -- 经度
                latitude      String   -- 纬度
            ) ,
            damageName      String , -- 出险原因
            damageCourse    String   -- 出险经过
        )
    )

    log_time
    LEVEL1COMCODE   String   -- 数据分发规则记录数据对应分公司机构

}